File: package.json

package info (click to toggle)
node-caniuse-api 2.0.0-2
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 116 kB
  • sloc: makefile: 6; sh: 2
file content (47 lines) | stat: -rw-r--r-- 1,051 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
{
  "name": "caniuse-api",
  "version": "2.0.0",
  "description": "request the caniuse data to check browsers compatibilities",
  "repository": "https://github.com/nyalab/caniuse-api.git",
  "keywords": [
    "caniuse",
    "browserslist"
  ],
  "authors": [
    "nyalab",
    "MoOx"
  ],
  "license": "MIT",
  "main": "dist/index.js",
  "files": [
    "dist"
  ],
  "dependencies": {
    "browserslist": "^2.0.0",
    "caniuse-lite": "^1.0.0",
    "lodash.memoize": "^4.1.2",
    "lodash.uniq": "^4.5.0"
  },
  "devDependencies": {
    "babel-cli": "^6.22.2",
    "babel-eslint": "^5.0.0",
    "babel-preset-latest": "^6.22.0",
    "babel-tape-runner": "^2.0.1",
    "jshint": "^2.5.10",
    "npmpub": "^3.1.0",
    "tap-spec": "^4.1.1",
    "tape": "^4.6.0"
  },
  "scripts": {
    "build": "babel src --out-dir dist",
    "lint": "jshint src",
    "prepublish": "npm run build",
    "test": "npm run lint && babel-tape-runner test/*.js | tap-spec",
    "release": "npmpub"
  },
  "babel": {
    "presets": [
      "babel-preset-latest"
    ]
  }
}